#!/bin/bash
# Not working on windows symlinks
DIR="$(realpath $(dirname "$(readlink -f "$0")")/..)"

PHP_VERSION=$1 # Without dot
WITH_PROFILER=$2

if [[ -z "${PHP_VERSION}" ]]; then PHP_VERSION=81; fi

POSSIBLE_XDEBUG_VERSION=xdebug2

echo "Choice PHP_VERSION: $PHP_VERSION"

if [[ $PHP_VERSION -ge 81 ]]; then
  POSSIBLE_XDEBUG_VERSION=xdebug3
fi

echo "Choice POSSIBLE_XDEBUG_VERSION: $POSSIBLE_XDEBUG_VERSION"

echo

${DIR}/dockerfiles/php-fpm/${POSSIBLE_XDEBUG_VERSION}/xdebug.sh start ${PHP_VERSION} ${WITH_PROFILER}

echo
${DIR}/dockerfiles/workspace/xdebug.sh start ${PHP_VERSION} ${WITH_PROFILER}

echo